Retrieve a List of Custom Fields

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://reference.textline.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Textline API MCP server": {
    "url": "https://reference.textline.com/mcp"
  }
}

Close
GET /api/address_book/custom_fields.json

Retrieve a list of custom Address Book fields currently setup in your organization. This returns the name, type, and UUID for the field. The UUID can then be used to update Customers' info other calls.

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • fields array
GET /api/address_book/custom_fields.json
curl \
 --request GET 'https://application.textline.com/api/address_book/custom_fields.json'
Response examples (200)
{
  "fields": [
    {
      "data_type": "string",
      "name": "Custom Field 1",
      "uuid": "c43a1766-47e1-4c9c-a2cc-36bf424fcbc0"
    },
    {
      "data_type": "link",
      "name": "Custom Field 2",
      "uuid": "342fbe5b-da20-4f82-b899-53f4a5b0a8df"
    }
  ]
}